<div class="container">
  <div class="row justify-content-center align-items-center" style="height:100vh">
    <div class="login-wrapper">
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-6">
                <div class="div_1">
                <img src="assets/images/login-image.svg">
            </div>
            </div>
            <div class="col-6">
                <div class="div_2">
             <div class="logo">
                <img src="assets/images/Logo.svg">
             </div>

             <div class="title">
                <h4>Admin Login</h4>
             </div>

                <form [formGroup]="loginForm">
                    <div class="row">
                        <div class="col-md-12 mb-3">
                            <label for="validationDefault01">Email</label>
                            <input type="text" class="form-control"  formControlName="email"  required>
                          </div>
                          <div *ngIf="loginForm.errors?.required">
                            Email is required.
                          </div>
                          <div class="col-md-12 mb-3">
                            <label for="validationDefault01">Password</label>
                            <input type="password" class="form-control"  formControlName="password" required>
                          </div>
                          <div *ngIf="loginForm.errors?.required">
                            Password is required.
                          </div>
                          <div class="col-12 col-lg-12">
                            <div class="forgotLink pb-4">
                             <a style="color: #196be5; cursor: pointer; font-weight:500;" (click)="openForgotPasswordModal(forgotPasswordModal)" > Forgot password</a> 
                            </div>
                          </div>
                    </div>
                    <button type="button" class="btn btn-primary" (click)="clickLoginSubmit()">Submit</button>
                </form>
                </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #forgotPasswordModal let-c="close" let-d="dismiss">
    <div class="">
      <div class="modal-header">
        <h5 class="modal-title" id="modal-basic-title">Forgot Password</h5>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')" style="z-index: 99;">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="rmForgotPasswordForm">
        <div class="row">
          <div class="col-12 col-lg-12">
            <input
              type="email"
              placeholder="Email"
              formControlName="email_id"
              class="form-control"
              required
            />
            <span
              *ngIf="
                rmForgotPasswordForm.touched &&
                rmForgotPasswordForm.get('email_id').errors?.required
              "
              class="text-danger"
            >
              Please enter a valid email id
            </span>
          </div>
        </div>
      </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" [disabled]="!rmForgotPasswordForm.valid" (click)="submitForgot()">Submit</button>
      </div>
    </div>
  </ng-template>
